### Signal

# Xdp InputCaptureSession::zones-changed

#### Declaration

    void
    zones_changed (
      XdpInputCaptureSession* self,
      GVariant* options,
      gpointer user_data
    )

#### Description [src]

Emitted when an InputCapture session’s zones have changed. When this signal is emitted, all current zones will have their `XdpInputCaptureZone:is-valid` property set to `FALSE` and all internal references to those zones have been released. This signal is sent after libportal has fetched the updated zones, a caller should call `xdp_input_capture_session_get_zones()` to retrieve the new zones.

Default handler: The default handler is called after the handlers added via `g_signal_connect_after()`.
Signal emission will restart instead of recursing
Hooks are disabled for this signal

#### Parameters

`options`

  Type: `GVariant`

  A GVariant with the signal options.

  The data is owned by the caller of the function.